#define MAX_DATA 1024

#include <libintl.h>
#define _(msgid) dgettext(PACKAGE, msgid)
#define P2_(msgid, count) (dngettext(PACKAGE, (msgid), (msgid), (count)))
#define P3_(msgid, msgid_plural, count) (dngettext(PACKAGE, (msgid), (msgid_plural), (count)))
#define N_(msgid) msgid

enum kiosk_cmd {
        KIOSK_UNSPEC = 0,
        KIOSK_REQUEST,
        KIOSK_REPLY,
};

enum kiosk_mode {
        KIOSK_PERMISSIVE = 0,
        KIOSK_NONSYSTEM,
        KIOSK_ALL,
};

enum kiosk_action {
        KIOSK_SET_MODE = 0,
        KIOSK_USERLIST_ADD,
        KIOSK_USERLIST_DEL,
        KIOSK_USER_LIST,
	KIOSK_UNKNOWN,
};

enum kiosk_attrs {
	KIOSK_NOATTR = 0,
	KIOSK_ACTION,
	KIOSK_DATA,
	KIOSK_MAX_ATTR,
};

static struct nla_policy kiosk_attrs_policy[KIOSK_MAX_ATTR] = {
	[KIOSK_ACTION] = {
		.type = NLA_S16,
	},
	[KIOSK_DATA] = {
		.type = NLA_STRING,
		.maxlen = MAX_DATA
	},
};

struct kiosk_msg {
        int action;
        char data[MAX_DATA];
};
